MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028460Open CASCADE[OCCT] OCCT:Visualizationpublic2017-02-16 14:132017-09-29 16:24
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028460: Visualization - V3d_View::SetZoom() performs checks which then ignored
DescriptionV3d_View::SetZoom() has the following implementation details:
  // ensure that zoom will not be too small or too big
  Standard_Real coef = Coef;
  if (aViewWidth < coef * Precision::Confusion())
  {
    coef = aViewWidth / Precision::Confusion();
  }
  else if (aViewWidth > coef * 1e12)
  {
    coef = aViewWidth / 1e12;
  }
  if (aViewHeight < coef * Precision::Confusion())
  {
    coef = aViewHeight / Precision::Confusion();
  }
  else if (aViewHeight > coef * 1e12)
  {
    coef = aViewHeight / 1e12;
  }

  aCamera->SetEye (myCamStartOpEye);
  aCamera->SetCenter (myCamStartOpCenter);
  aCamera->SetScale (aCamera->Scale() / Coef);


As can be seen, coef variable is set but never used.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024413closedabv Visualization - get rid of projection shift from orthographic camera definition 

-  Notes
(0063842)
git (administrator)
2017-02-16 14:44

Branch CR28460 has been created by kgv.

SHA-1: af0e8841735b490fc99d4de61ee4ad40a706d4fd


Detailed log of new commits:

Author: kgv
Date: Thu Feb 16 14:42:18 2017 +0300

    0028460: Visualization - V3d_View::SetZoom() performs checks which then ignored
    
    Fixed variables misuse.
(0063843)
kgv (developer)
2017-02-16 14:44

Patch is ready for review.
(0063844)
san (developer)
2017-02-16 15:45

Branch CR28460 reviewed without remarks, ready for testing.
(0063878)
mkv (tester)
2017-02-17 13:13

Dear BugMaster,
Branch CR28460 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: af0e8841735b490fc99d4de61ee4ad40a706d4fd

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1198

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92725014 / 93208341 [-0.52%]
Total CPU difference: 19850.89000000017 / 19801.790000000216 [+0.25%]
products component :
Total MEMORY difference: 30929344 / 31027507 [-0.32%]
Total CPU difference: 5484.4899999999725 / 5509.529999999978 [-0.45%]

Testing on Windows:
occt component :
Total MEMORY difference: 57832454 / 57829936 [+0.00%]
Total CPU difference: 18597.269212498635 / 18793.846072598604 [-1.05%]
products component :
Total MEMORY difference: 22194873 / 22156738 [+0.17%]
Total CPU difference: 5503.730880099976 / 5447.523719799975 [+1.03%]

There are no differences in images found by testdiff.
(0063879)
mkv (tester)
2017-02-17 13:13

Dear BugMaster,
Branch CR28460 is TESTED.
(0064483)
git (administrator)
2017-03-20 14:34

Branch CR28460 has been deleted by inv.

SHA-1: af0e8841735b490fc99d4de61ee4ad40a706d4fd

- Related Changesets
occt: master e44b0af4
Timestamp: 2017-02-16 11:42:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0028460: Visualization - V3d_View::SetZoom() performs checks which then ignored

Fixed variables misuse.
mod - src/V3d/V3d_View.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-02-16 14:13 kgv New Issue
2017-02-16 14:13 kgv Assigned To => kgv
2017-02-16 14:17 kgv Relationship added related to 0024413
2017-02-16 14:17 kgv Product Version 7.1.0 => 6.8.0
2017-02-16 14:44 git Note Added: 0063842
2017-02-16 14:44 kgv Note Added: 0063843
2017-02-16 14:44 kgv Assigned To kgv => san
2017-02-16 14:44 kgv Severity minor => trivial
2017-02-16 14:44 kgv Status new => resolved
2017-02-16 15:45 san Note Added: 0063844
2017-02-16 15:45 san Assigned To san => bugmaster
2017-02-16 15:45 san Status resolved => reviewed
2017-02-16 15:47 mkv Assigned To bugmaster => mkv
2017-02-17 13:13 mkv Note Added: 0063878
2017-02-17 13:13 mkv Note Added: 0063879
2017-02-17 13:13 mkv Assigned To mkv => bugmaster
2017-02-17 13:13 mkv Status reviewed => tested
2017-02-17 13:13 mkv Test case number => Not needed
2017-03-03 16:25 bugmaster Changeset attached => occt master e44b0af4
2017-03-03 16:25 bugmaster Status tested => verified
2017-03-03 16:25 bugmaster Resolution open => fixed
2017-03-20 14:34 git Note Added: 0064483
2017-09-29 16:21 user533 Fixed in Version => 7.2.0
2017-09-29 16:24 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker